nn.pp.rccore

## Enum IKvmPort.PowerPermission

- java.lang.Object
- - java.lang.Enum<IKvmPort.PowerPermission>
  - - nn.pp.rccore.IKvmPort.PowerPermission

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IKvmPort.PowerPermission>
  Enclosing interface:
    IKvmPort

      public static enum IKvmPort.PowerPermission
      extends java.lang.Enum<IKvmPort.PowerPermission>

  The permissions for performing Power operations with the port

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCESS` Power operations are allowed
    `DENY` Power operations are not allowed

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IKvmPort.PowerPermission` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IKvmPort.PowerPermission[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DENY

          public static final IKvmPort.PowerPermission DENY

      Power operations are not allowed

    - #### ACCESS

          public static final IKvmPort.PowerPermission ACCESS

      Power operations are allowed

  - ### Method Detail

    - #### values

          public static IKvmPort.PowerPermission[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IKvmPort.PowerPermission c : IKvmPort.PowerPermission.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IKvmPort.PowerPermission valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.